View Issue Details

IDProjectCategoryView StatusLast Update
0004286PartDesignBugpublic2020-03-22 22:21
Reportermatimat Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacOSOSX 
Product Version0.18 
Fixed in Version0.19 
Summary0004286: PartDesign hole: angle of the tapered hole does not match the tapered angle specified
Descriptionwhen I create a tapered hole with the PartDesign hole tool, the angle of the tapered hole does not match the tapered angle specified in the tool.
Steps To Reproduce1. Create a body with a solid
2. set a sketch on one surface of the solid and add a circle to the sketch
3. Activate the sketch and open the partdesign hole feature
4. activate the tapered checkbox and enter a tapered angle unequal to 90°
5. Press ok
Additional InformationA closer look reveals a mathematical relation between the executed and the specified tapered angle: tapered_angle_executed = 90 - ARCTAN(COS(tapered_angle_specified)

forum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=44080
TagsNo tags attached.
FreeCAD InformationOS: macOS 10.14
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.16146 (Git)
Build type: Release
Branch: (HEAD detached at 0.18.4)
Hash: 980bf9060e28555fecd9e3462f68ca74007b70f8
Python version: 3.6.7
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: German/Germany (de_DE)

Activities

Kunda1

2020-03-11 17:05

administrator   ~0014221

Possible fix?
https://forum.freecadweb.org/viewtopic.php?f=13&t=44056#p375915

wmayer

2020-03-12 10:40

administrator   ~0014223

https://github.com/FreeCAD/FreeCAD/commit/e9aeef17ab367643b88660b73d18f121a89a0f69

wmayer

2020-03-22 22:21

administrator   ~0014267

Fix committed to master branch.

Related Changesets

FreeCAD: master e9aeef17

2020-03-12 10:39:09

wmayer

Details Diff
fixes 0004286: PartDesign hole: angle of the tapered hole does not match the tapered angle specified [skip ci]

See https://forum.freecadweb.org/viewtopic.php?f=13&t=44056#p375915
Affected Issues
0004286
mod - src/Mod/PartDesign/App/FeatureHole.cpp Diff File

Issue History

Date Modified Username Field Change
2020-03-11 15:31 matimat New Issue
2020-03-11 17:05 Kunda1 Note Added: 0014221
2020-03-11 17:06 Kunda1 Status new => feedback
2020-03-12 10:40 wmayer Assigned To => wmayer
2020-03-12 10:40 wmayer Status feedback => closed
2020-03-12 10:40 wmayer Resolution open => fixed
2020-03-12 10:40 wmayer Fixed in Version => 0.19
2020-03-12 10:40 wmayer Note Added: 0014223
2020-03-22 22:21 wmayer Changeset attached => FreeCAD master e9aeef17
2020-03-22 22:21 wmayer Note Added: 0014267